TogglePanelTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.TogglePanelTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class TogglePanelTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.TogglePanelTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class TogglePanelTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TogglePanelTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setConverterMessage(java.lang.String __converterMessage)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setInitialState(java.lang.String __initialState)`
`void` | `setLocalValueSet(java.lang.String __localValueSet)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequired(java.lang.String __required)`
`void` | `setRequiredMessage(java.lang.String __requiredMessage)`
`void` | `setStateOrder(java.lang.String __stateOrder)`
`void` | `setSwitchType(java.lang.String __switchType)`
`void` | `setValid(java.lang.String __valid)`
`void` | `setValidator(java.lang.String __validator)`
`void` | `setValidatorMessage(java.lang.String __validatorMessage)`
`void` | `setValueChangeListener(java.lang.String __valueChangeListener)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TogglePanelTag

    public TogglePanelTag()

Method Detail

### setLocalValueSet

    public void setLocalValueSet(java.lang.String __localValueSet)

### setInitialState

    public void setInitialState(java.lang.String __initialState)

### setSwitchType

    public void setSwitchType(java.lang.String __switchType)

### setRequiredMessage

    public void setRequiredMessage(java.lang.String __requiredMessage)

### setStateOrder

    public void setStateOrder(java.lang.String __stateOrder)

### setRequired

    public void setRequired(java.lang.String __required)

### setValidatorMessage

    public void setValidatorMessage(java.lang.String __validatorMessage)

### setValid

    public void setValid(java.lang.String __valid)

### setValueChangeListener

    public void setValueChangeListener(java.lang.String __valueChangeListener)

### setValidator

    public void setValidator(java.lang.String __validator)

### setConverterMessage

    public void setConverterMessage(java.lang.String __converterMessage)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.